%define name	clara
%define version 0.20031214
%define tarver  20031214
%define release 2mdk
%define rc_name	%{name}-%{tarver}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}

Summary: 	An OCR (Optical Character Recognition) program
URL: 		http://www.claraocr.org
Source: 	http://www.claraocr.org/sources/%{rc_name}.tar.bz2
Patch0:		clara-optflags.patch.bz2
License: 	GPL
Group: 		Graphics
Buildroot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	XFree86-devel

%description
Clara OCR is intended for large scale digitalization projects. 
It features a powerful GUI and a web interface for cooperative 
digitalization of books. Clara OCR development started in 1999 
and we're approaching production level.

%prep
%setup -q -n %{rc_name}
%patch0 -p1 -b .makefile
%if %_lib == lib64
sed -i 's|LIBPATH = -L/usr/X11R6/lib|LIBPATH = -L/usr/X11R6/lib64|' Makefile
%endif

%build
%make
%make doc

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp clara $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/clara.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/clara-dev.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/clara-adv.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*html doc/FAQ doc/README
%{_mandir}/man1/clara*
%{_bindir}/*

%changelog
* Mon May  9 2005 Stew Benedict <sbenedict@mandriva.com> 0.20031214-2mdk
- fix x86_64 build

* Fri Apr  2 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.20031214-1mdk
- new snapshot, rework patch0

* Mon Mar 10 2003 Marcel Pol <mpol@gmx.net> 0.9.9-3mdk
- buildreq: XFree86-devel

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.9-2mdk
- rebuild for new glibc/rpm, add %%clean section for rpmlint

* Tue May 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9
- refresh patch0

* Thu Nov 29 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.8-1mdk
- version 0.9.8
- fix typo in url

* Mon Jul 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.7-1mdk
- first MandrakeSoft package
